Package com.io7m.cedarbridge.runtime.api

# Record Class CBMapEntry<K extends CBSerializableType,V extends CBSerializableType>

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBMapEntry<K,V>

Type Parameters:
  `K` - The key type
  `V` - The value type
Record Components:
  `key` - The key
  `value` - The value

All Implemented Interfaces:
  `CBSerializableType`, `Formattable`

public record CBMapEntry<K extends CBSerializableType,V extends CBSerializableType>(K extends CBSerializableType key, V extends CBSerializableType value) extends Record implements Formattable, CBSerializableType
The type of map entries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBMapEntry(K key, V value)`
  The type of map entries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `K`
  `key()`
  Returns the value of the `key` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `V`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBMapEntry

    public CBMapEntry(K key, V value)
    The type of map entries.
    Parameters:
      `key` - The key
      `value` - The value

- ## Method Details

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### key

    public K key()
    Returns the value of the `key` record component.
    Returns:
      the value of the `key` record component

  - ### value

    public V value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component